Subject: [bug#73282] [PATCH] home: services: pipewire: Add utilities to profile.

From: Antero Mejr <[email-masked]>
Date: Wed, 30 Oct 2024 18:47:09 +0000

Rutherther <[email-masked]> writes:

>> Resolves https://issues.guix.gnu.org/68565
>> Adds wpctl, pw-cat, and other pw- utilities to the home profile.
>
> I think it would be at least nice to have an option that turns this off.
> Why give the user the binaries, libraries to their profile if they are not actually
> necessary? <snip>

I think they are necessary - if the service is running then audio will
be routed through pipewire, and if that is the case then wpctl is needed
to control the routes and volume, both essential features of an audio
server.

The pw-* utilities are mostly for recording/playback, which I think is
also important but perhaps not essential.